Subject: Warranty on product
From: Rachel Brock <[email-masked]>
To: [email-masked]
Date: Fri, 27 Jan 2023 10:26:03 -0500

Hi there! 
Amazon referred me to this email for replacement on my heating blanket that has only been used twice for two winters and now when I got it out this morning, it was doing the blinking light of death. Also not getting hot. I then left it alone and came back but nothing different. This product states there is a 5 year warranty.
I need help with a replacement. 
I purchased it on 12/25/2020 on Amazon
Product: 
Comfort Spaces Luxury Microplush Electric Wrap Blanket Super Soft and Warm Reversible Heated Throw Poncho with Auto Shutoff, 50"x64", Grey

Thank you!
Rachel b.